> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pending workflow step

> The workflow step currently waiting for the contact, if any.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /s2s/conversations/{conversationId}/workflow
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /s2s/conversations/{conversationId}/workflow:
    get:
      tags:
        - S2S Conversations
      summary: Get pending workflow step
      description: The workflow step currently waiting for the contact, if any.
      operationId: PendingWorkflowStep
      parameters:
        - in: path
          name: conversationId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                properties:
                  step:
                    allOf:
                      - $ref: '#/components/schemas/S2SWorkflowStep'
                    nullable: true
                required:
                  - step
                type: object
      security:
        - s2s: []
components:
  schemas:
    S2SWorkflowStep:
      properties:
        workflowId:
          type: string
        stepType:
          type: string
        actionFlowId:
          type: string
        actionId:
          type: number
          format: double
        action:
          $ref: '#/components/schemas/Record_string.unknown_'
      type: object
      additionalProperties: false
    Record_string.unknown_:
      properties: {}
      type: object
      description: Construct a type with a set of properties K of type T
  securitySchemes:
    s2s:
      type: http
      scheme: bearer
      bearerFormat: Service account token (JWT)

````